<?php


namespace App\Models\Traits\Bootables;


use App\Models\Traits\HasStatusChanges;
use App\Models\Traits\HasStatuses;
use Illuminate\Database\Eloquent\Model;

trait Statuable{
  use HasStatuses,HasStatusChanges;

    public static function bootStatuable(){
        static::created(function (Model $model) {
            $model->statuffy("created");
        });

        static::updated(function (Model $model) {
            $model->statuffy("updated");
        });
    }


}
